<template>
    <Page>
        <GridLayout rows="auto,auto,auto">
            <ScrollView>
                <StackLayout class="margin">
                    <Label 
                        text="Imagen" 
                        :style="{'text-align': 'center'}" 
                        textWrap="true">
                    </Label>
                    <StackLayout>    
                        <Image 
                        :src="item.foto" 
                        height="40%" 
                        width="100%"/>
                    </StackLayout>
                    <Label 
                        text="Descripcion" 
                        :style="{'text-align': 'center'}" 
                        textWrap="true"
                        marginTop="10">
                    </Label>
                    <Label 
                        :text="item.descripcion" 
                        textWrap="true"
                        marginTop="10">
                    </Label>
                    <Label 
                        text="Actividad" 
                        :style="{'text-align': 'center'}" 
                        textWrap="true"
                        marginTop="10">
                    </Label>
                    <Label 
                        :text="actividad" 
                        textWrap="true"
                        marginTop="10">
                    </Label>
                    <!-- <Label 
                        text="Tipo de actividad" 
                        :style="{'text-align': 'center'}" 
                        textWrap="true"
                        marginTop="10">
                    </Label>
                    <Label 
                        :text="tipo" 
                        textWrap="true"
                        marginTop="10">
                    </Label> -->
                    <StackLayout horizontalAlignment="center" v-show="!processing" orientation="horizontal">
                        <Button @tap="$modal.close(false)" text="Cancelar"/>
                        <Button @tap="eliminarDatos()" text="Eliminar"/>     
                    </StackLayout>
                </StackLayout>
            </ScrollView>
            <ActivityIndicator :busy="processing" color="#7d00cc" row="0" rowSpan="3"></ActivityIndicator>
        </GridLayout>
    </Page>
</template>

<script>
import store from "../../store";
import { mapGetters } from 'vuex';
import axios from 'axios';
import { urlApi } from '../../main.js';

export default {
    props: ['item'],
    data(){
        return{
            processing: false,
            // tipo: null,
            actividad: null
        }
    },
    created(){
        // this.obtenerTiposActividad();
        this.obtenerActividades();
    },
    computed:{
        // actividades(){
        //     return store.getters.getItems;
        // },
        // actividad(){
        //     let i = this.actividades.map( actividad => actividad.id ).indexOf(this.item.maintenance_log_id);
        //     return this.actividades[i].title + ' \nfecha: '+ this.actividades[i].start;
        // }
    },
    methods:{
        obtenerActividades(){
            axios.get(urlApi+'/api/v1/mtto/mantenimientos/listado')
            .then(data => {
                let array = data.data;
                for (let i = 0; i < array.length; i++) {
                    const element = array[i];
                    if (element.id == this.item.maintenance_id) {
                        this.actividad = element.descripcion;
                    }
                }
            })
            .catch(err => {
                console.log("Error -> " + err.message);
            });
        },
        // obtenerTiposActividad(){
        //     axios.get(urlApi+'/api/v1/mtto/tiposMantenimiento/listado')
        //     .then(data => {
        //         let array = data.data;
        //         for (let i = 0; i < array.length; i++) {
        //             const element = array[i];
        //             if (element.id == this.item.tipo_mantenimiento_id) {
        //                 this.tipo = element.clave;
        //             }
        //         }
        //     })
        //     .catch(err => {
        //         console.log("Error -> " + err.message);
        //     });
        // },
        eliminarDatos(){
            this.processing = true;
            axios.delete(urlApi+`/api/v1/mtto/incidences/${this.item.id}/delete-incidence`)
            .then(data => {
                this.processing = false;
                console.log('incidencia eliminada staisfactoriamente');
                this.$modal.close(true);  
            })
            .catch(err => {
                console.log("Error -> " + err.message);
            });
        }
    }
}
</script>

<style scoped>
    .margin{
        margin-left: 20;
        margin-right: 20;
        margin-bottom: 20;
        margin-top: 20;
    }
</style>

